%global         pypi_name pkgconfig

Name:           python-pkgconfig
Version:        1.5.5
Release:        %mkrel 5
Group:          Development/Python
Summary:        A Python module to interface with the pkg-config command
License:        MIT
URL:            https://github.com/matze/pkgconfig
Source0:        %{pypi_source}
BuildArch:      noarch

%description
%{summary}.

%package -n python3-%{pypi_name}
Summary:        A Python module to interface with the pkg-config command
BuildArch:      noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{summary}.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build

%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pkgconfig

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst LICENSE


%changelog
* Sat Mar 01 2025 wally <wally> 1.5.5-5.mga10
+ Revision: 2155536
- rebuild for python3.13

* Wed Dec 13 2023 papoteur <papoteur> 1.5.5-4.mga10
+ Revision: 2017796
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.5.5-3.mga9
+ Revision: 1822796
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 1.5.5-2.mga9
+ Revision: 1775465
- Fix filelist for python-3.10
- Fix sources
- Rebuild for python-3.10
+ wally <wally>
- use source from pypi

* Fri Aug 27 2021 eatdirt <eatdirt> 1.5.5-1.mga9
+ Revision: 1742947
- Update to version 1.5.5

* Sat Mar 20 2021 joequant <joequant> 1.5.2-1.mga9
+ Revision: 1705807
- update to 1.5.2

* Sun Feb 16 2020 umeabot <umeabot> 1.5.1-3.mga9
+ Revision: 1531068
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 wally <wally> 1.5.1-2.mga8
+ Revision: 1438957
- rebuild for python3.8
- drop python2 support

* Sat Apr 06 2019 eatdirt <eatdirt> 1.5.1-1.mga7
+ Revision: 1386422
- Upgrade to version 1.5.1

* Wed Jan 09 2019 shlomif <shlomif> 1.4.0-2.mga7
+ Revision: 1353256
- Rebuild for python3 3.7

* Tue Oct 09 2018 eatdirt <eatdirt> 1.4.0-1.mga7
+ Revision: 1319094
- Upgrade to version 1.4.0

* Thu Sep 20 2018 umeabot <umeabot> 1.3.1-3.mga7
+ Revision: 1289671
- Mageia 7 Mass Rebuild

* Tue Aug 14 2018 eatdirt <eatdirt> 1.3.1-2.mga7
+ Revision: 1251621
- bump mkrel
- Fix missing BA:noarch to mother package
- imported package python-pkgconfig

